#include "stdafx.h"
#include "Console.h"
#include "OutputWnd.h"
#include "InputBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


static CConsole * pConsole = 0;
I_Console * GetConsole()
{	return pConsole;
}

/*
======================================
Constructor/Destructor
======================================
*/
CInputBox::CInputBox()
{	
	m_pOutput = 0;
	pConsole = &m_Console;

	m_Console.LoadConfig("convars.cfg");

	m_pTest = new CTest();

}

CInputBox::~CInputBox()
{	
	m_Console.WriteCVars("convars.cfg");

	m_pOutput = 0;
	pConsole = 0;
	delete m_pTest;
}

/*
======================================
Set the log window
======================================
*/
void CInputBox::SetOutputWindow(TOutputWnd * pWnd)
{	
	m_pOutput = pWnd;
	m_Console.ExecString("cvarlist");
	m_Console.ExecString("cmdlist");
}


BEGIN_MESSAGE_MAP(CInputBox, CEdit)
	//{{AFX_MSG_MAP(CInputBox)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/*
======================================
Intercept Enter keys
======================================
*/
BOOL CInputBox::PreTranslateMessage(MSG* pMsg) 
{
	// TODO: Add your specialized code here and/or call the base class
	if(pMsg->message == WM_KEYDOWN && pMsg->wParam == VK_RETURN)
	{
		if(m_pOutput)
		{
			CString wndString;
			GetWindowText(wndString);
			m_Console.ExecString(wndString);

			CString * pString = new CString;
			*pString += ">>";
			*pString += wndString;
			m_pOutput->AddLine(*pString);
			SetWindowText(0);
		}
		return TRUE;
	}
	return CEdit::PreTranslateMessage(pMsg);
}

